from setuptools import setup, find_packages


# Read the contents of your README file
with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setup(
    name="NT_TextFileLoader",
    version="2.0.1",
    description=(
        "Python library to extract text from various file formats. "
        "The supported formats are: JPEG, PNG, PDF, DOCX, DOC, and TEXT."
    ),

    long_description=long_description,
    long_description_content_type="text/markdown",
    readme = "README.md",
    author="Vishnu.D",
    author_email="vishnu.d@narmtech.com",
    license="MIT",
    keywords =["pip install NT-TextLoader","pip install TextFileLoader","pip install NT Loader" ,"pip install textloader","pip install nt-textfileloader","pip install textfileloader"],
    packages=find_packages(),
    install_requires=[
            "PyPDF2",
            "python-docx",
            "docx2txt",
            "Pillow",
            "pytesseract",
            "langchain",
            "unstructured",
            "PyMuPDF"
        ],


    classifiers=[
    'Development Status :: 3 - Alpha',      # Chose either "3 - Alpha", "4 - Beta" or "5 - Production/Stable" as the current state of your package
    'Intended Audience :: Developers',      # Define that your audience are developers
    'Topic :: Software Development :: Build Tools',
    'License :: OSI Approved :: MIT License',   # Again, pick a license
    'Programming Language :: Python :: 3.9',      #Specify which pyhton versions that you want to support
    'Programming Language :: Python :: 3.10',
    'Programming Language :: Python :: 3.11',
  ]
)